-- MagicBabble, drop-in replacement for LibBabble-Zone-3.0 as used by FlightMap
-- Copyright (c) 2012-2016 Moncai

local BabbleBase = {
	["Dire Maul"] = 699,
	["The Hinterlands"] = 26,
	["Dragonblight"] = 488,
	["A Brewing Storm"] = 878,
	["Grimrail Depot"] = 993,
	["Westfall"] = 39,
	["Isle of Conquest"] = 540,
	["Orgrimmar"] = 321,
	["Blackrock Caverns"] = 753,
	["Zul'Drak"] = 496,
	["Northern Stranglethorn"] = 37,
	["Karazhan"] = 1100,
	["Warspear"] = 1011,
	["Hour of Twilight"] = 819,
	["The Vortex Pinnacle"] = 1070,
	["Darnassus"] = 381,
	["Azuremyst Isle"] = 1092,
	["Tol Barad"] = 1090,
	["Ruins of Ahn'Qiraj"] = 717,
	["Gundrak"] = 530,
	["Blackwing Lair"] = 755,
	["Un'Goro Crater"] = 201,
	["Ironforge"] = 341,
	["Spires of Arak"] = 948,
	["Western Plaguelands"] = 22,
	["The Jade Forest"] = 880,
	["Skywall"] = 1049,
	["Shrine of Seven Stars"] = 905,
	["Crypt of Forgotten Kings"] = 900,
	["Throne of Thunder"] = 930,
	["Plaguelands: The Scarlet Enclave"] = 502,
	["Howling Fjord"] = 491,
	["Frostwall"] = 990,
	["Niskara"] = 1078,
	["Naxxramas"] = 535,
	["Darkshore"] = 42,
	["Blade's Edge Mountains"] = 475,
	["Helmouth Shallows"] = 1034,
	["Defense of Karabor"] = 983,
	["The Veiled Stair"] = 873,
	["Wailing Caverns"] = 749,
	["Onyxia's Lair"] = 718,
	["Molten Core"] = 696,
	["Unga Ingoo"] = 882,
	["Ashenvale"] = 43,
	["Violet Hold"] = 1066,
	["Hillsbrad Foothills (Southshore vs. Tarren Mill)"] = 1010,
	["Kelp'thar Forest"] = 610,
	["Blackfathom Deeps"] = 688,
	["Serpentshrine Cavern"] = 780,
	["Terrace of Endless Spring"] = 1059,
	["Thunder Totem"] = 1080,
	["Malorne's Nightmare"] = 1086,
	["Blackrock Depths"] = 704,
	["Nagrand"] = 950,
	["Deeprun Tram"] = 922,
	["Wintergrasp"] = 501,
	["Shimmering Expanse"] = 615,
	["Skyreach"] = 989,
	["Ursoc's Lair"] = 1082,
	["Shadowgore Citadel"] = 1073,
	["Ahn'Qiraj"] = 766,
	["Gilneas City"] = 611,
	["The Underbog"] = 726,
	["Broken Shore"] = 1031,
	["Zul'Gurub"] = 793,
	["Celestial Tournament"] = 955,
	["Tanaris"] = 161,
	["Stratholme"] = 765,
	["Borean Tundra"] = 486,
	["Utgarde Pinnacle"] = 524,
	["Heart of Fear"] = 897,
	["Camp Narache"] = 890,
	["The Culling of Stratholme"] = 521,
	["The Stockade"] = 690,
	["Halls of Reflection"] = 603,
	["Lost City of the Tol'vir"] = 747,
	["The Battle for Gilneas"] = 736,
	["Shadowmoon Valley"] = 947,
	["Throne of the Tides"] = 767,
	["Halls of Origination"] = 759,
	["Deadwind Pass"] = 32,
	["Auchindoun"] = 984,
	["Baradin Hold"] = 752,
	["Shadowfang Keep"] = 764,
	["The Battle for Gilneas (Old City Map)"] = 677,
	["Molten Front"] = 795,
	["Ammen Vale"] = 894,
	["Timeless Isle"] = 951,
	["Thunder King's Citadel"] = 934,
	["Thunder Bluff"] = 362,
	["Azsuna"] = 1053,
	["The Dreamgrove"] = 1077,
	["Iron Docks"] = 987,
	["Moonglade"] = 241,
	["Siege of Niuzao Temple"] = 887,
	["Outland"] = 466,
	["The Forge of Souls"] = 601,
	["The Ruby Sanctum"] = 609,
	["The Mechanar"] = 730,
	["Badlands"] = 17,
	["The Black Morass"] = 733,
	["Val'sharah"] = 1018,
	["Blackrock Foundry"] = 988,
	["Ruins of Gilneas"] = 684,
	["Tirisfal Glades"] = 1062,
	["The Emerald Nightmare"] = 1094,
	["Sunwell Plateau"] = 789,
	["Azshara"] = 1038,
	["The Botanica"] = 729,
	["The Lost Isles"] = 682,
	["New Tinkertown"] = 895,
	["Pandaria"] = 862,
	["Firelands"] = 1071,
	["Icecrown"] = 492,
	["Netherstorm"] = 479,
	["The Steamvault"] = 727,
	["Ahn'Qiraj: The Fallen Kingdom"] = 772,
	["Uldaman"] = 692,
	["Isle of Quel'Danas"] = 499,
	["Kezan"] = 605,
	["Shado-Pan Monastery"] = 877,
	["Crystalsong Forest"] = 510,
	["Gloaming Reef"] = 1084,
	["Feralas"] = 121,
	["Dagger in the Dark"] = 914,
	["The Oculus"] = 1104,
	["Dun Morogh"] = 939,
	["Tempest Keep"] = 782,
	["Eye of the Storm"] = 813,
	["Broken Isles"] = 1007,
	["Northrend"] = 485,
	["The Cape of Stranglethorn"] = 673,
	["Blackrock Spire"] = 721,
	["Bloodmyst Isle"] = 476,
	["Hrothgar's Landing"] = 541,
	["Black Temple"] = 1085,
	["The Wandering Isle"] = 1044,
	["Eastern Kingdoms"] = 14,
	["Undercity"] = 382,
	["Zul'Aman"] = 781,
	["Warsong Gulch"] = 443,
	["Proving Grounds"] = 899,
	["Kalimdor"] = 13,
	["Silvershard Mines"] = 860,
	["Ahn'kahet: The Old Kingdom"] = 522,
	["Hall of the Guardian"] = 1068,
	["The Cove of Nashal"] = 1027,
	["A Little Patience"] = 912,
	["Bloodmaul Slag Mines"] = 964,
	["Shrine of Two Moons"] = 903,
	["Dragon Soul"] = 824,
	["Helmouth Cliffs"] = 1042,
	["Alterac Valley"] = 401,
	["Dalaran"] = 1014,
	["The Violet Hold"] = 1054,
	["Burning Steppes"] = 29,
	["Gorgrond"] = 949,
	["Wetlands"] = 40,
	["Halls of Stone"] = 526,
	["The Nighthold"] = 1088,
	["Mogu'shan Vaults"] = 896,
	["Twin Peaks"] = 626,
	["Trueshot Lodge"] = 1072,
	["Brawl'gar Arena"] = 925,
	["Arathi Basin"] = 461,
	["Dustwallow Marsh"] = 907,
	["End Time"] = 820,
	["Black Rook Hold"] = 1099,
	["Hyjal Summit"] = 775,
	["Hellfire Ramparts"] = 797,
	["Helheim"] = 1022,
	["Gnomeregan"] = 691,
	["Silithus"] = 261,
	["Frostfire Ridge"] = 941,
	["Grizzly Hills"] = 490,
	["Brewmoon Festival"] = 884,
	["Gate of the Setting Sun"] = 875,
	["Magisters' Terrace"] = 798,
	["Pit of Saron"] = 602,
	["Isle of Giants"] = 929,
	["Vale of Eternal Blossoms"] = 937,
	["Court of Stars"] = 1087,
	["The Arcway"] = 1102,
	["Abyssal Maw"] = 1075,
	["Grim Batol"] = 757,
	["ScholomanceOLD"] = 763,
	["The Bastion of Twilight"] = 758,
	["Echo Isles"] = 891,
	["Darkheart Thicket"] = 1067,
	["Neltharion's Lair"] = 1065,
	["Northern Barrens"] = 11,
	["Emerald Dreamway"] = 1048,
	["Kun-Lai Summit"] = 1058,
	["The Naglfar"] = 1043,
	["Halls of Valor"] = 1041,
	["Netherlight Temple"] = 1040,
	["Redridge Mountains"] = 36,
	["Skyhold"] = 1035,
	["Terokkar Forest"] = 478,
	["Well of Eternity"] = 816,
	["Vault of the Wardens"] = 1045,
	["Mardum, the Shattered Abyss"] = 1052,
	["Hellfire Citadel"] = 1026,
	["Silvermoon City"] = 480,
	["Highmountain"] = 1024,
	["The Secrets of Ragefire"] = 938,
	["Twisting Nether"] = 1020,
	["Eye of Azshara"] = 1096,
	["Stormshield"] = 1009,
	["Maraudon"] = 750,
	["Valley of Trials"] = 889,
	["Trial of the Crusader"] = 543,
	["The Everbloom"] = 1008,
	["Stormwind City"] = 301,
	["Throne of the Four Winds"] = 773,
	["Mana-Tombs"] = 732,
	["Highmaul"] = 994,
	["The Temple of Atal'Hakkar"] = 687,
	["Ashran"] = 978,
	["Draenor"] = 962,
	["Swamp of Sorrows"] = 38,
	["Deepholm"] = 1060,
	["Lunarfall"] = 991,
	["Shadowmoon Burial Grounds"] = 969,
	["Siege of Orgrimmar"] = 953,
	["Stranglethorn Vale"] = 689,
	["Eastern Plaguelands"] = 23,
	["Sunstrider Isle"] = 893,
	["Ruins of Gilneas City"] = 685,
	["Icecrown Citadel"] = 1039,
	["Hellfire Peninsula"] = 465,
	["Blasted Lands"] = 992,
	["Elwynn Forest"] = 30,
	["Talador"] = 946,
	["Mulgore"] = 9,
	["Arathi Highlands"] = 16,
	["Felwood"] = 182,
	["Tanaan Jungle"] = 970,
	["Abyssal Depths"] = 614,
	["Coldridge Valley"] = 866,
	["The Eye of Eternity"] = 527,
	["Desolace"] = 101,
	["The Exodar"] = 1091,
	["The Shattered Halls"] = 710,
	["Scarlet Halls"] = 871,
	["Mount Hyjal"] = 683,
	["Silverpine Forest"] = 21,
	["Suramar"] = 1055,
	["The Storm Peaks"] = 495,
	["Zul'Farrak"] = 686,
	["Sethekk Halls"] = 723,
	["Deathknell"] = 892,
	["The Beyond"] = 1069,
	["Stonetalon Mountains"] = 81,
	["Gilneas"] = 679,
	["Isle of Thunder"] = 933,
	["Azjol-Nerub"] = 533,
	["Ulduar"] = 1076,
	["Auchenai Crypts"] = 722,
	["Thousand Needles"] = 61,
	["Deepwind Gorge"] = 935,
	["The Stonecore"] = 768,
	["Shield's Rest"] = 1036,
	["Scholomance"] = 898,
	["Scarlet Monastery"] = 1105,
	["The Blood Furnace"] = 725,
	["The Maelstrom"] = 1057,
	["Magtheridon's Lair"] = 779,
	["The Nexus"] = 803,
	["Tol Barad Peninsula"] = 709,
	["Winterspring"] = 281,
	["Mogu'shan Palace"] = 885,
	["Darkmoon Island"] = 823,
	["Temple of Kotmogu"] = 881,
	["Searing Gorge"] = 28,
	["Loch Modan"] = 35,
	["Drak'Tharon Keep"] = 534,
	["Stormstout Brewery"] = 876,
	["Temple of the Jade Serpent"] = 1097,
	["Durotar"] = 4,
	["Shattrath City"] = 986,
	["Vault of Archavon"] = 532,
	["Dread Wastes"] = 858,
	["Zangarmarsh"] = 467,
	["Battle on the High Seas"] = 940,
	["Townlong Steppes"] = 810,
	["Stormheim"] = 1037,
	["Valley of the Four Winds"] = 807,
	["Strand of the Ancients"] = 512,
	["Eversong Woods"] = 462,
	["Shadowglen"] = 888,
	["Duskwood"] = 34,
	["Dreadscar Rift"] = 1051,
	["Gruul's Lair"] = 776,
	["Upper Blackrock Spire"] = 995,
	["Ghostlands"] = 463,
	["Razorfen Downs"] = 760,
	["The Deadmines"] = 756,
	["Southern Barrens"] = 607,
	["Ragefire Chasm"] = 680,
	["Utgarde Keep"] = 523,
	["Blackwing Descent"] = 754,
	["Old Hillsbrad Foothills"] = 734,
	["Vashj'ir"] = 613,
	["Teldrassil"] = 41,
	["Trial of the Champion"] = 542,
	["Halls of Lightning"] = 525,
	["The Obsidian Sanctum"] = 531,
	["Northshire"] = 864,
	["Razorfen Kraul"] = 761,
	["The Slave Pens"] = 728,
	["Shadow Labyrinth"] = 724,
	["Uldum"] = 748,
	["Twilight Highlands"] = 770,
	["Assault on Zan'vess"] = 883,
	["Sholazar Basin"] = 493,
	["Krasarang Wilds"] = 920,
	["Hillsbrad Foothills"] = 24,
	["The Arcatraz"] = 731,
}


BabbleZone = {}
BabbleZoneReverse = {}

for name,id in pairs(BabbleBase) do
	local area = GetMapNameByID(id)
	if not area then
		print(string.format("The zone <%s> with ID %d no longer exists",name, id))
	else
		BabbleZone[name] = area
		BabbleZoneReverse[area] = name
	end
end

-- Code below for generating base on enUS or enGB
function MagicBabbleGen()
	
	--FlightMap.Babble.Names = Names
	--FlightMap.Babble.IDs = IDs
	local Babble = {}

	for i = 1, 10000,1 do
		local name = GetMapNameByID(i)
		if name then
			Babble[name] = i
		end
	end
	return Babble
end
